### org.jfree.layouting.input.style.selectors.conditions

# Class PseudoClassCSSCondition

- `java.lang.Object`
- - `org.jfree.layouting.input.style.selectors.conditions.PseudoClassCSSCondition`

Implemented Interfaces:
  AttributeCondition, Condition, CSSCondition, Serializable

`public class PseudoClassCSSCondition`
`extends java.lang.Object`
`implements AttributeCondition, CSSCondition`

Creation-Date: 24.11.2005, 19:54:48

Author:
  Thomas Morgner

  ## Constructor Summary

  `PseudoClassCSSCondition(String namespace, String value)`

  ## Method Summary

  `short`

  `getConditionType()`
    An integer indicating the type of `Condition`.

  `String`

  `getLocalName()`
    Returns the local part of the qualified name of this attribute.

  `String`

  `getNamespaceURI()`
    Returns the namespace URI of this attribute condition.

  `boolean`

  `getSpecified()`
    Returns `true` if the attribute must have an explicit value in the original document, `false` otherwise.

  `String`

  `getValue()`

  `boolean`

  `isMatch(Object resolveState)`

## Constructor Details

### PseudoClassCSSCondition

    public PseudoClassCSSCondition(String namespace,
                                   String value)

## Method Details

### getConditionType

    public short getConditionType()

> An integer indicating the type of `Condition`.

### getLocalName

    public String getLocalName()

> Returns the local part of the qualified name of this attribute.

> `NULL` if :

> - this attribute condition can match any attribute.

> - this attribute is a class attribute.

> - this attribute is an id attribute.

> - this attribute is a pseudo-class attribute.

### getNamespaceURI

    public String getNamespaceURI()

> Returns the namespace URI of this attribute condition.

> `NULL` if :
> - this attribute condition can match any namespace.
> - this attribute is an id attribute.

### getSpecified

    public final boolean getSpecified()

> Returns `true` if the attribute must have an explicit value in the original document, `false` otherwise.

### getValue

    public String getValue()

### isMatch

    public boolean isMatch(Object resolveState)

> Specified by:
>   isMatch in interface CSSCondition